%define pkgver %(echo %version | tr _ -)
Name:          dmraid
Version:       1.0.0.rc16_3
Release:       1mamba
Summary:       Device mapper RAID interface
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://people.redhat.com/~heinzm/sw/dmraid
Source:        http://people.redhat.com/~heinzm/sw/dmraid/src/dmraid-%{pkgver}.tar.bz2
License:       GPL, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libdevmapper-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The purpose of dmraid is to arbitrate between the ATARAID on-disk metadata and the device-mapper need to name mapped devices and define mapping tables for them. Because the ATARAID metadata is vendor specific and the respective formats therefore all differ, an internal metadata format abtraction is necessary to translate into and derive the mapped device names and mapping tables content from. The ‘translators’ between the vendor formats and the internal format are called ‘metadata format handlers.’ One of them is needed for anygiven format supported by dmraid.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n %{name}
sed -i "s,| arm-\*  |,| aarch64-\* | arm-\*  |," %{pkgver}/dmraid/autoconf/config.sub

%build
cd %{pkgver}/dmraid
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
cd %{pkgver}/dmraid
%makeinstall usrlibdir=%{_libdir}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_sbindir}/dmevent_tool
%{_sbindir}/dmraid
%{_mandir}/man8/dmevent_tool.8*
%{_mandir}/man8/dmraid.8*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libdmraid.so.*
%{_libdir}/device-mapper/libdmraid-events-isw.so
%{_libdir}/libdmraid-events-isw.so
%doc %{pkgver}/dmraid/{LICENSE,CREDITS}

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/dmraid
%{_includedir}/dmraid/*.h
%{_libdir}/libdmraid.a
%{_libdir}/libdmraid.so

%changelog
* Thu Jun 26 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0.rc16_3-1mamba
- package created using the webbuild interface
